Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.interceptor
Class AbstractMonitoringInterceptor

    java.lang.Object
      org.springframework.aop.interceptor.AbstractTraceInterceptor
          org.springframework.aop.interceptor.AbstractMonitoringInterceptor

All Implemented Interfaces:
  java.io.Serializable, org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor

Direct Known Subclasses:
  JamonPerformanceMonitorInterceptor, PerformanceMonitorInterceptor

    public abstract class AbstractMonitoringInterceptor

extends AbstractTraceInterceptor

Base class for monitoring interceptors, such as performance monitors. Provides `prefix` and `suffix` properties that help to classify/group performance monitoring results.

Subclasses should call the `createInvocationTraceName(MethodInvocation)` method to create a name for the given trace that includes information about the method invocation under trace along with the prefix and suffix added as appropriate.

Since:
  1.2.7
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `setPrefix(java.lang.String)`, `setSuffix(java.lang.String)`, `createInvocationTraceName(org.aopalliance.intercept.MethodInvocation)`, Serialized Form

Field Summary

Fields inherited from class org.springframework.aop.interceptor.AbstractTraceInterceptor
`defaultLogger`

Constructor Summary
`AbstractMonitoringInterceptor()`

Method Summary
`protected java.lang.String` | `createInvocationTraceName(org.aopalliance.intercept.MethodInvocation invocation)` Create a `String` name for the given `MethodInvocation` that can be used for trace/logging purposes.
`protected java.lang.String` | `getPrefix()` Return the text that will get appended to the trace data.
`protected java.lang.String` | `getSuffix()` Return the text that will get prepended to the trace data.
`void` | `setLogTargetClassInvocation(boolean logTargetClassInvocation)` Set whether to log the invocation on the target class, if applicable (i.e.
`void` | `setPrefix(java.lang.String prefix)` Set the text that will get appended to the trace data.
`void` | `setSuffix(java.lang.String suffix)` Set the text that will get prepended to the trace data.

Methods inherited from class org.springframework.aop.interceptor.AbstractTraceInterceptor
`getClassForLogging, getLoggerForInvocation, invoke, invokeUnderTrace, isInterceptorEnabled, isLogEnabled, setHideProxyClassNames, setLoggerName, setUseDynamicLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMonitoringInterceptor

    public AbstractMonitoringInterceptor()

Method Detail

### setPrefix

    public void setPrefix(java.lang.String prefix)

  Set the text that will get appended to the trace data.

  Default is none.

### getPrefix

    protected java.lang.String getPrefix()

  Return the text that will get appended to the trace data.

### setSuffix

    public void setSuffix(java.lang.String suffix)

  Set the text that will get prepended to the trace data.

  Default is none.

### getSuffix

    protected java.lang.String getSuffix()

  Return the text that will get prepended to the trace data.

### setLogTargetClassInvocation

    public void setLogTargetClassInvocation(boolean logTargetClassInvocation)

  Set whether to log the invocation on the target class, if applicable (i.e. if the method is actually delegated to the target class).

  Default is "false", logging the invocation based on the proxy interface/class name.

### createInvocationTraceName

    protected java.lang.String createInvocationTraceName(org.aopalliance.intercept.MethodInvocation invocation)

  Create a `String` name for the given `MethodInvocation` that can be used for trace/logging purposes. This name is made up of the configured prefix, followed by the fully-qualified name of the method being invoked, followed by the configured suffix.

  See Also:
    `setPrefix(java.lang.String)`, `setSuffix(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD